GNU Radio 2.x: gr_filter_delay_fc Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_filter_delay_fc Class Reference
[Filters]

`#include <gr_filter_delay_fc.h>`

Inheritance diagram for gr_filter_delay_fc:

[legend]
Collaboration diagram for gr_filter_delay_fc:

[legend]
List of all members.

## Detailed Description

Filter-Delay Combination Block.

The block takes one or two float stream and outputs a complex stream. If only one float stream is input, the real output is a delayed version of this input and the imaginary output is the filtered output. If two floats are connected to the input, then the real output is the delayed version of the first input, and the imaginary output is the filtered output. The delay in the real path accounts for the group delay introduced by the filter in the imaginary path. The filter taps needs to be calculated before initializing this block.

## Public Member Functions
| ~gr_filter_delay_fc ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
## Protected Member Functions
| gr_filter_delay_fc (const std::vector< float > &taps)
## Friends
gr_filter_delay_fc_sptr | gr_make_filter_delay_fc (const std::vector< float > &taps)

## Constructor & Destructor Documentation

gr_filter_delay_fc::~gr_filter_delay_fc | ( |  | ) |

gr_filter_delay_fc::gr_filter_delay_fc | ( | const std::vector< float > & | taps | ) | `[protected]`

## Member Function Documentation

int gr_filter_delay_fc::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_filter_delay_fc_sptr gr_make_filter_delay_fc | ( | const std::vector< float > & | taps | ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_filter_delay_fc.h
- gr_filter_delay_fc.cc